﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WinGridPrintDocGrafickInHeader
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public DataSet GenerateDataSet()
        {
            DataTable table0 = new DataTable("Treatment Fluu");

            table0.Columns.Add("Drug", typeof(string));
            table0.Columns.Add("Patient", typeof(string));


            table0.Rows.Add( "Text Text Text  Text Text Text", "Text Text Text");
            table0.Rows.Add( "Text Text Text Text Text Text Text Text Text", "Text Text Text");
            table0.Rows.Add("Text Text Text Text Text Text Text Text Text", "Text Text Text");
            table0.Rows.Add("Text Text Text Text Text Text Text Text Text", "Text Text Text");
            table0.Rows.Add( "Text Text Text Text Text Text", "Text Text Text");

            DataSet RetDataSet = new DataSet();
            RetDataSet.Tables.Add(table0);

            return RetDataSet;

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DisplayLayout.Bands[0].Override.DefaultColWidth = 250;
            ultraGrid1.DataSource = GenerateDataSet();
            pictureBox1.Load(@"..\\..\\4TBTJ3LFT17Y_jpg-80x80.jpg");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "Image Filse (*.jpg)|*.jpg";
            if (ofd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                pictureBox1.Load(ofd.FileName);
            }
        }

        private void ultraPrintPreviewDialog1_PageSetupDialogDisplaying(object sender, Infragistics.Win.Printing.PageSetupDialogDisplayingEventArgs e)
        {

        }

        private void button2_Click(object sender, EventArgs e)
        {
            ultraPrintPreviewDialog1.ShowDialog();
        }

        private void ultraGridPrintDocument1_PageHeaderPrinting(object sender, Infragistics.Win.Printing.HeaderFooterPrintingEventArgs e)
        {
            if (pictureBox1.Image != null)
            e.Graphics.DrawImage(pictureBox1.Image, new Point(10, 10));
        }
    }
}
